// Provides a `Backbone.sync` or `Model.sync` method for the server-side
// context. Uses mongodb for model persistence. Models are expected to
// have a URL prefixed by their respective collection (e.g. `/{class}/{id}`)
// and Collections retrieve their respective models based on this convention.

var mongoose = require('mongoose'),
    _        = require('underscore');

module.exports = function(connectString) {
   mongoose.connect(connectString);
   
   // Sync implementation for mongodb.
   var sync = function(method, model, options) {
      var options = options || {};
      
      var success = options.success,
          error   = options.error;
          
      switch (method) {
         case 'read':
         case 'create':
         case 'update':
         case 'delete':
      }
   };
   
   return { sync: sync };
};